View Issue Details

IDProjectCategoryView StatusLast Update
0023476mantisbtbugtrackerpublic2018-03-31 19:58
ReportercproensaAssigned Toatrol 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023476: Can't login if admin directory has restricted access
Description

If doing as the message says: "admin directory should be removed, or access to it restricted." and removing read permissions to admin directory (chmod 000 admin), login_password_page.php can't be loaded, so login is not possible.

SYSTEM WARNING
'require_once(admin/schema.php): failed to open stream: Permission denied' in '/media/sdb/www/html/git/mantis2/login_password_page.php' line 182
TagsNo tags attached.

Relationships

related to 0023211 assigneddregad Warning regarding admin-folder, even if access is restricted 
related to 0024089 closedatrol POST request to login_password_page.php return 405 when admin folder is deleted or access restricted 

Activities

Related Changesets

MantisBT: master 9debbfb5

2018-03-08 14:24:08

atrol


Committer: vboctor Details Diff
Correct access check for admin folder

Fixes 0024089
Fixes 0023476
Affected Issues
0023476, 0024089
mod - login_password_page.php Diff File

Issue History

Date Modified Username Field Change
2017-10-14 14:09 cproensa New Issue
2017-10-14 14:10 cproensa Description Updated View Revisions
2017-10-14 14:11 cproensa Relationship added related to 0023211
2018-03-08 13:31 atrol Relationship added related to 0024089
2018-03-08 14:33 atrol Assigned To => atrol
2018-03-08 14:33 atrol Status new => assigned
2018-03-08 14:33 atrol Note Added: 0059127
2018-03-08 14:57 atrol Target Version => 2.13.0
2018-03-13 03:17 vboctor Changeset attached => MantisBT master 9debbfb5
2018-03-13 03:17 atrol Status assigned => resolved
2018-03-13 03:17 atrol Resolution open => fixed
2018-03-13 03:17 atrol Fixed in Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed